#pragma once
#ifndef __App_H__
#define __App_H__

class App
	: public InputResponder
{
public:
	App();
	virtual ~App();

	virtual void UpdateWindowDimensions(Vector2n WindowDimensions) {}

	void Render();

	//void ProcessPosition(Pointer * Pointer, Vector2n Position);
	bool ProcessEvent(InputEvent & InputEvent) override;

	void ProcessTimePassed(const double TimePassed) override;

protected:
	// DEBUG: Made m_Widgets public for temporary debugging purposes
	public:std::vector<std::unique_ptr<Widget>>		m_Widgets;

private:
	App(const App &);
	App & operator =(const App &);
};

#endif // __App_H__
