#include "../Main.h"

InputEvent::InputEvent()
{
}

InputEvent::~InputEvent()
{
}

const PointerState & InputEvent::GetPointerState()
{
	return m_Pointer->GetPointerState();
}

PointerState & InputEvent::ModifyPointerState()
{
	return m_Pointer->ModifyPointerState();
}

std::string InputEvent::ToString()
{
	std::stringstream ss;
	
	ss << "InputEvent: ";

	ss << m_EventTypes.size() << ", ";
	ss << static_cast<sint32>(m_DeviceId) << ", ";
	ss << m_InputId << ", ";

	ss << m_Buttons.size() << ", ";
	ss << m_Sliders.size() << ", ";
	ss << m_Axes.size() << ", ";

	ss << m_Pointer << std::endl;

	return ss.str();
}
