#pragma once
#ifndef __GestureListener_H__
#define __GestureListener_H__

class GestureListener
{
public:
	GestureListener();
	virtual ~GestureListener();
	
	virtual void ProcessTap() {}
	virtual void ProcessDrag(Vector2d DragAmount) {}		// TODO: Sort out the floating vs. integer discrepancy
	virtual void ProcessScroll(InputEvent & InputEvent, Vector2n ScrollAmount) {}

	virtual void ProcessManipulationStarted(const PointerState & PointerState) {}
	virtual void ProcessManipulationUpdated(const PointerState & PointerState) {}
	virtual void ProcessManipulationCompleted(const PointerState & PointerState) {}

	//virtual void ProcessButton(Pointer * Pointer, Input::InputId ButtonId, bool Pressed) {}
	//virtual void ProcessSlider(Pointer * Pointer, Input::InputId SliderId, double MovedAmount) {}
	
	virtual void ProcessTimePassed(const double TimePassed) {}
	
private:
	GestureListener(const GestureListener &);
	GestureListener & operator =(const GestureListener &);
};

#endif // __GestureListener_H__
