#pragma once
#ifndef __WidgetMapping_H__
#define __WidgetMapping_H__

#if 0
class WidgetMapping
	: public PointerInputListener
{
public:
	WidgetMapping();
	~WidgetMapping();

	void AddMapping(Widget * Widget);
	void DoneAdding();
	void RemoveAllMappings();

	void ProcessPointerCreation(Pointer * Pointer);
	void ProcessPointerDeletion(Pointer * Pointer);
	void ProcessPointerActivation(Pointer * Pointer);
	void ProcessPointerDeactivation(Pointer * Pointer);

	void ProcessButton(Pointer * Pointer, Input::InputId ButtonId, bool Pressed);
	void ProcessSlider(Pointer * Pointer, Input::InputId SliderId, double MovedAmount);
	void ProcessAxis(Pointer * Pointer, Input::InputId AxisId, Input::AxisState AxisState);
	void Process2Axes(Pointer * Pointer, Input::InputId FirstAxisId, Input::AxisState AxisState[2]);

	void ProcessCharacter(Pointer * Pointer, int Character);

	void ProcessTimePassed(const double TimePassed);

	void RequestActivation(Widget * CandidateWidget);
	void RequestDeactivation(Widget * CandidateWidget);
	Widget * GetActiveWidget();

	void RemoveHoverPointer(Pointer * Pointer);

private:
	WidgetMapping(const WidgetMapping &);
	WidgetMapping & operator =(const WidgetMapping &);

	void ChangeActiveWidget(Widget * ActiveWidget);

	Widget *					m_HoverWidget;
	Widget *					m_ActiveWidget;

	std::vector<Widget *>		m_Entries;
};
#endif

#endif // __WidgetMapping_H__
