#include "Main.h"

MultitouchTestApp::MultitouchTestApp()
	: App()
{
	{
		auto MainCanvas = new Canvas(Vector2n(0, 0), true, true);

		// DEBUG
		//MultitouchTestBoxWidget * FirstBox;

		MainCanvas->AddWidget(/*FirstBox = */new MultitouchTestBoxWidget(Vector2n(-200 - 5, -200 - 5)));
		MainCanvas->AddWidget(new MultitouchTestBoxWidget(Vector2n(0 + 5, -200 - 5)));
		MainCanvas->AddWidget(new MultitouchTestBoxWidget(Vector2n(-200 - 5, 0 + 5)));
		MainCanvas->AddWidget(new MultitouchTestBoxWidget(Vector2n(0 + 5, 0 + 5)));
		MainCanvas->AddWidget(new MultitouchTestBoxWidget(Vector2n(100 + 5, 100 + 5)));

		m_Widgets.push_back(std::unique_ptr<Widget>(MainCanvas));		// MainCanvas

		// DEBUG: Keyboard arrow keys move thingy for main canvas
		//m_GestureRecognizerTEST = std::unique_ptr<GestureRecognizer>(new GestureRecognizer(*MainCanvas));
		//m_GestureRecognizerTEST->m_RecognizeTap = false;

		//printf("Created a new Gesture Recognizer\n");
		//MainCanvas->m_GestureRecognizerTEST = std::unique_ptr<GestureRecognizer>(new GestureRecognizer(*MainCanvas));
		//MainCanvas->m_GestureRecognizerTEST->m_RecognizeTap = false;
	}

	//UpdateWindowDimensions(m_InputManager.GetWindowDimensions());
	// HACK
	UpdateWindowDimensions(Vector2n(1024, 768));
}

MultitouchTestApp::~MultitouchTestApp()
{
}

void MultitouchTestApp::UpdateWindowDimensions(Vector2n WindowDimensions)
{
	static_cast<Canvas *>(m_Widgets.front().get())->SetDimensions(WindowDimensions);
}
