#pragma once
#ifndef __Project_H__
#define __Project_H__

class Project
{
private:
	struct func2;

public:
	Project();
	~Project();

	void LoadSampleGenProgram();

	void Render();

	void DrawFunction2(func2 & f) const;
	void GenerateProgram();
	void RunProgram();

	std::vector<ConceptId> & GetStdIncludes() { return std_includes; }

private:
	Project(const Project &);
	Project & operator =(const Project &);

	struct func2
	{
		Vector2n Position;

		std::vector<ConceptId> name;
		std::vector<ConceptId> args;
		std::vector<ConceptId> return_type;
		std::vector<ConceptId> body_lines;

		template <typename StreamT> friend StreamT & operator << (StreamT & out, const func2 & f)
		{
			out << f.return_type << " " << f.name << "(" << f.args << ")" << endl;

			out << "{" << endl;

			out << "    ";

			//for (auto it = f.body_lines.begin(); it != f.body_lines.end(); ++it)
			/*for (vector<unsigned int>::size_type i = 0; i < f.body_lines.size(); ++i)
			{
				if (i != 0 && Concepts[f.body_lines[i]].m_Concept.compare("."))
					out << " ";

				if (i != 0)
					out << Concepts[f.body_lines[i]].m_Concept.c_str();
				else
				{
					out << static_cast<char>(toupper(Concepts[f.body_lines[i]].m_Concept.c_str()[0]));
					if (Concepts[f.body_lines[i]].m_Concept.length() > 1)
						out << Concepts[f.body_lines[i]].m_Concept.c_str() + 1;
				}
			}*/
			out << f.body_lines;

			out << "}" << endl;

			return out;
		}
	};

	std::vector<ConceptId> std_includes;
	std::vector<func2> functions2;
};

#endif // __Project_H__
